Summary: Yum plugin for using Asianux TSN
Name: yum-axtu-plugin
Version: 2.0.1
Release: 5.0.3%{?dist}.AXS7
License: GPLv2
Group: System Environment/Base
Source0: axtu-plugin.py
Source1: axtu-plugin.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: python
BuildRequires: intltool
BuildRequires: gettext

Requires: yum >= 3.2.19-15
Requires: m2crypto >= 0.16-6
Requires: python-iniparse
Requires: axtsn-client-tools >= 2.0.2-5
Obsoletes: yum-rhn-plugin

# Not really, but for upgrades we need these
Requires: axtsn-setup
Obsoletes: up2date < 5.0.0
Provides: up2date = 5.0.0

%description
This yum plugin provides support for yum to access a Asianux TSN server for
software updates.

%prep

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/yum-plugins/
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/yum/pluginconf.d/
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/usr/lib/yum-plugins/
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/yum/pluginconf.d/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/axtu-plugin.conf
/usr/lib/yum-plugins/axtu-plugin.py*

%changelog
* Tue Dec 22 2015 Bruce Dang <bruce.dang@asianux.com> - 2.0.1-5.0.3%{?dist}
- Fix authentication problem through https proxy

* Fri Apr 10 2015 Bruce Dang <bruce.dang@asianux.com> - 2.0.1-5.0.2%{?dist}
- Fix channel name in axtu-plugin.py for axs7
- Fix path of RPM-GPG-KEY in axtu-plugin.py for axs7

* Wed Apr 8 2015 Bruce Dang <bruce.dang@asianux.com> - 2.0.1-5.0.1%{?dist}
- Follow version and release of RHEL
- Edit Requires: axtsn-client-tools with new version
- Remove conflict with PackageKit <= 0.5.8-13.0.7.AXS4 

* Fri Apr 3 2015 Alex Nguyen <alex.nguyen@asianux.com> - 1.0-18%{?dist}
- Add Obsoletes: yum-rhn-plugin

* Thu Jan 8 2015 Daniel Dang <daniel.dang@asianux.com> - 1.0-17%{?dist}
- create persistdir in _repos_persistdir instead of PWD (Bug#12810)

* Wed Mar 3 2011 Bill Ye <ting.ye@asianux.com> - 1.0-16%{?dist}
- fix Bug8933, can not change system language due to fail to connect yum repository
- modify yum plugin for Gui and Cui mode
- conflict with PackageKit <= 0.5.8-13.0.7.AXS4

* Sat Feb 12 2011 Bill Ye <ting.ye@asianux.com> - 1.0-15%{?dist}
- fix debug info displays when connecting wrong server(AxBug8674)

* Thu Jan 27 2011 Bill Ye <ting.ye@asianux.com> - 1.0-14%{?dist}
- fix not read group information from server using yum plugin(AxBug8898)

* Thu Jan 13 2011 Bill Ye <ting.ye@asianux.com> - 1.0-13%{?dist}
- fix code bug 

* Thu Jan 06 2011 Hua Jie <jie.hua@asianux.com> - 1.0-12%{?dist}
- move *.so out of this package(Bug #8862)
- require axtsn-client-tools >= 4.0-4.AXS4

* Tue Jan 4 2011 Bill Ye <ting.ye@asianux.com> - 1.0-11%{?dist}
- add proxy function for yum(Bug8766, patch4)

* Wed Dec 22 2010 Hua Jie <jie.hua@asianux.com> - 1.0-10%{?dist}
- change get software and hardware informations binaries to libraries (patch2)
- remove register functions (patch3)
- add axconfig.py in python library directory
- use noreplace config attribute for axtu-plugin.conf

* Wed Nov 24 2010 Bill Ye <ting.ye@asianux.com> - 1.0-9%{?dist}
- fix not update any package using yum if not import gpgkey (patch1, bug8671)

* Tue Nov 23 2010 Bill Ye <ting.ye@asianux.com> - 1.0-8%{?dist}
- plugin's name not suitable (patch0, bug8767)

* Tue Nov 2 2010 Bill Ye <ting.ye@asianux.com> - 1.0-7%{?dist}
- fix bug8702 error message not accurate when input wrong user name or password

* Mon Nov 1 2010 Bill Ye <ting.ye@asianux.com> - 1.0-6%{?dist}
- take place of some function for file operations.

* Mon Nov 1 2010 Bill Ye <ting.ye@asianux.com> - 1.0-5%{?dist}
- fix bug8665, use static IP in the progrom

* Mon Oct 25 2010 Bill Ye <ting.ye@asianux.com> - 1.0-4%{?dist}
- fix bug8686, Plugin "ax4plugin" can't be imported. 

* Sun Oct 24 2010 Bill Ye <ting.ye@asianux.com> - 1.0-3%{?dist}
- fix bug8675

* Wed Oct 20 2010 Bill Ye <ting.ye@asianux.com> - 1.0-2%{?dist}
- hardware infomation got error (bug8666)
- typo problem (bug8673) 

* Tue Oct 19 2010 Hua Jie <jie.hua@asianux.com> - 1.0-1%{?dist}
- create the package
